#
# $Id: Makefile,v 1.1 1998/02/22 22:42:00 mdanks Exp $
#

#
# Copyright 1996, 1997 Computing Research Labs, New Mexico State University
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
# THE COMPUTING RESEARCH LAB OR NEW MEXICO STATE UNIVERSITY BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT
# OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR
# THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

CC = gcc
CFLAGS = -Wall -g

SRCS = remap.c ttf2bdf.c
OBJS = remap.o ttf2bdf.o

#
# Point these at the FreeType source directories.
#
LIBDIR = ../../lib
INCS = -I. -I../.. -I$(LIBDIR) -I$(LIBDIR)/extend
LIBS = -L$(LIBDIR) -lttf

all: ttf2bdf

ttf2bdf: $(OBJS)
	$(PURIFY) $(CC) $(STATIC) $(CFLAGS) -o ttf2bdf $(OBJS) $(LIBS)

.c.o:
	$(CC) $(CFLAGS) $(INCS) -c $< -o $@

clean:
	/bin/rm -f *.o *BAK *CKP *~ a.out core

distclean: clean
	/bin/rm -f ttf2bdf

# end of Makefile
